Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81040 - IBM JDK core dump
Summary: IBM JDK core dump
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-03 17:48 UTC by Jon Willeke
Modified: 2008-01-17 17:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:21 UTC


Attachments (Terms of Use)
strace javac foo.java (1.3.1 on 8.0.92) (deleted)
2003-01-03 17:51 UTC, Jon Willeke
no flags Details
strace javac foo.java (1.3.1 on 8.0) (deleted)
2003-01-03 17:54 UTC, Jon Willeke
no flags Details
strace javac foo.java (1.4 on 8.0.92) (deleted)
2003-01-03 17:59 UTC, Jon Willeke
no flags Details
strace javac foo.java (1.4 on 8.0) (deleted)
2003-01-03 18:03 UTC, Jon Willeke
no flags Details

Description Jon Willeke 2003-01-03 17:48:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
The javac and java programs in the IBM Java Developer Kit core dump on trivial
operations.  I've found that 1.3.1-3 and 1.4-0 work on RH 8.0 (psyche), but not
on RH 8.0.92 (phoebe).  I suspect that this is related to the kernel.

Previous versions of the JDK mentioned a work around for early versions of the
2.4 kernel: setting the environment variable LD_ASSUME_KERNEL to 2.2.5.  This
work around is effective.  Still, since Red Hat 8.0 doesn't cause a problem,
this seems to be a regression.

I'll attach strace output of javac for a minimal Java program, foo.java.  1.3.1
appears to core dump calling mprotect(), whereas 1.4 hangs in futex(), shortly
after calling mprotect().

Version-Release number of selected component (if applicable):
2.4.20-2.2

How reproducible:
Always

Steps to Reproduce:
1. Install the IBM Java Developer Kit, version 1.3.1 SR 3 or 1.4.

2. Enter a trivial Java program, such as foo.java:

   public class foo {
     public static void main( String args[] ) {
     }
   }

3. Try to compile this program with javac:

  $ /opt/IBMJava2-131/bin/javac foo.java
  Segmentation fault (core dumped)

Comment 1 Jon Willeke 2003-01-03 17:51:37 UTC
Created attachment 89097 [details]
strace javac foo.java (1.3.1 on 8.0.92)

This is strace output showing a core dump after sigaltstack().	I will attach
strace output from RH 8.0, showing that the next call is mprotect().

Comment 2 Arjan van de Ven 2003-01-03 17:53:41 UTC
RHL 8.0  kernel didn't have futexes; the beta kernel does.
It looks like the IBM JDK has broken futex handling.....


Comment 3 Jon Willeke 2003-01-03 17:54:45 UTC
Created attachment 89098 [details]
strace javac foo.java (1.3.1 on 8.0)

This complements the 8.0.92 strace output, showing that the core dump may have
occurred in mprotect().

Comment 4 Jon Willeke 2003-01-03 18:00:00 UTC
Created attachment 89099 [details]
strace javac foo.java (1.4 on 8.0.92)

This strace output shows a hang in futex().  This may be more interesting than
the 1.3.1 output, as the phoebe kernel has extensive threading changes.

Comment 5 Jon Willeke 2003-01-03 18:03:43 UTC
Created attachment 89100 [details]
strace javac foo.java (1.4 on 8.0)

For completeness.  This complements the 1.4 strace output on phoebe, but the
calls after clone() don't look the same.

Comment 6 Arjan van de Ven 2003-01-21 11:30:13 UTC
have you reported this to IBM?
It doesn't look like it's our bug

Comment 7 Bugzilla owner 2004-09-30 15:40:21 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.